[arch-commits] Commit in dnsmasq/trunk (PKGBUILD dnsmasq.rc.d rc.dnsmasq)

Paul Mattal paul at archlinux.org
Sun Nov 23 02:50:55 UTC 2008


    Date: Saturday, November 22, 2008 @ 21:50:55
  Author: paul
Revision: 19420

upgpkg: dnsmasq 2.46-1
    update to 2.46, integrated PKGBUILD changes from Jud

Added:
  dnsmasq/trunk/rc.dnsmasq
    (from rev 19419, dnsmasq/trunk/dnsmasq.rc.d)
Modified:
  dnsmasq/trunk/PKGBUILD
Deleted:
  dnsmasq/trunk/dnsmasq.rc.d

--------------+
 PKGBUILD     |   53 +++++++++++++++++++++++++++++------------------------
 dnsmasq.rc.d |   36 ------------------------------------
 rc.dnsmasq   |   36 ++++++++++++++++++++++++++++++++++++
 3 files changed, 65 insertions(+), 60 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-11-22 21:14:41 UTC (rev 19419)
+++ PKGBUILD	2008-11-23 02:50:55 UTC (rev 19420)
@@ -1,41 +1,46 @@
-# $Id$
 # Maintainer: Paul Mattal <paul at archlinux.org>
 # Contributor: Tom Newsom <Jeepster at gmx.co.uk>
 
 pkgname=dnsmasq
-pkgver=2.45
+pkgver=2.46
 pkgrel=1
-pkgdesc="A lightweight DNS/DHCP server ideal for small/home networks using NAT"
-arch=(i686 x86_64)
-source=(http://www.thekelleys.org.uk/$pkgname/$pkgname-$pkgver.tar.gz \
-    dnsmasq.rc.d $pkgname-capability-config.patch)
-license=('GPL')
+pkgdesc="Lightweight, easy to configure DNS forwarder and DHCP server"
 url="http://www.thekelleys.org.uk/dnsmasq/doc.html"
+arch=('i686' 'x86_64')
+license=('GPL2')
 depends=('glibc' 'bash')
-backup=(etc/dnsmasq.conf)
-md5sums=('b7956e15c9766e05b3eca3ce88fdb616' 'e956eee1ec24212a3254d2b168187495'\
+backup=('etc/dnsmasq.conf')
+install=($pkgname.install)
+source=("http://www.thekelleys.org.uk/$pkgname/$pkgname-$pkgver.tar.gz" \
+        'rc.dnsmasq' "$pkgname-capability-config.patch")
+md5sums=('79ec740d1a10ee75f13efa4ff36d0250' \
+         'e956eee1ec24212a3254d2b168187495' \
          'ef61cd6c3ce1fd0767a98b02975c9c9c')
-install=$pkgname.install
+sha1sums=('472ef663b2b433d599f62cb6ca03eb6f7ce25bc2' \
+          'd9884c231cc66513d9a478f67ec9a7ad3301e1f8' \
+          '2db1fc4274dbcac6b711105ae598e4cb2f140d6b')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver || return 1
-  # patch to add a note about capability module in the config file
+  cd $srcdir/$pkgname-$pkgver
+
+  # Patch to add a Note about Capability Module in the Config File
   patch -Np0 -i ../$pkgname-capability-config.patch || return 1
 
-  # build
-  cd $startdir/src/$pkgname-$pkgver || return 1
+  # Build
   make || return 1
 
-  # install
-  mkdir -p $startdir/pkg/etc/rc.d || return 1
-  make PREFIX=/usr DESTDIR=$startdir/pkg install || return 1
-  install -D -m 0755 \
-    $startdir/src/dnsmasq.rc.d $startdir/pkg/etc/rc.d/dnsmasq || return 1
-  install -D -m 0644 \
-    dnsmasq.conf.example $startdir/pkg/etc/dnsmasq.conf || return 1
+  # Install
+  install -d $pkgdir/etc/rc.d || return 1
+  make PREFIX=/usr DESTDIR=$pkgdir install || return 1
 
-  # make the required directories for DHCP server default directories
-  mkdir -p $startdir/pkg/var/db || return 1
-  mkdir -p $startdir/pkg/var/lib/misc || return 1
+  install -D -m755 \
+    $srcdir/rc.dnsmasq $pkgdir/etc/rc.d/dnsmasq || return 1
+  install -D -m644 \
+    dnsmasq.conf.example $pkgdir/etc/dnsmasq.conf || return 1
+
+  # Make the Required Directories for DHCP Server Default Directories
+  install -d $pkgdir/var/db || return 1
+  install -d $pkgdir/var/lib/misc || return 1
 }
+
 # vim: ts=2 sw=2 et ft=sh

Deleted: dnsmasq.rc.d
===================================================================
--- dnsmasq.rc.d	2008-11-22 21:14:41 UTC (rev 19419)
+++ dnsmasq.rc.d	2008-11-23 02:50:55 UTC (rev 19420)
@@ -1,36 +0,0 @@
-#!/bin/bash
-
-. /etc/rc.conf
-. /etc/rc.d/functions
-
-PID=`pidof -o %PPID /usr/sbin/dnsmasq`
-case "$1" in
-  start)
-    stat_busy "Starting DNS/DHCP daemon"
-    [ -z "$PID" ] && /usr/sbin/dnsmasq
-    if [ $? -gt 0 ] ; then
-      stat_fail
-    else
-      add_daemon dnsmasq                     # create the 'state' dir
-      stat_done 
-    fi
-    ;;
-  stop)
-    stat_busy "Stopping DNS/DHCP daemon"
-    [ "$PID" ] && kill $PID &> /dev/null
-    if [ $? -gt 0 ]; then
-      stat_fail
-    else
-      rm_daemon dnsmasq                      # remove the 'state' dir
-      stat_done
-    fi
-    ;;
-  restart)
-    $0 stop
-    sleep 5
-    $0 start
-    ;;
-  *)
-    echo "usage: $0 {start|stop|restart}"
-esac
-exit 0

Copied: dnsmasq/trunk/rc.dnsmasq (from rev 19419, dnsmasq/trunk/dnsmasq.rc.d)
===================================================================
--- rc.dnsmasq	                        (rev 0)
+++ rc.dnsmasq	2008-11-23 02:50:55 UTC (rev 19420)
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/sbin/dnsmasq`
+case "$1" in
+  start)
+    stat_busy "Starting DNS/DHCP daemon"
+    [ -z "$PID" ] && /usr/sbin/dnsmasq
+    if [ $? -gt 0 ] ; then
+      stat_fail
+    else
+      add_daemon dnsmasq                     # create the 'state' dir
+      stat_done 
+    fi
+    ;;
+  stop)
+    stat_busy "Stopping DNS/DHCP daemon"
+    [ "$PID" ] && kill $PID &> /dev/null
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      rm_daemon dnsmasq                      # remove the 'state' dir
+      stat_done
+    fi
+    ;;
+  restart)
+    $0 stop
+    sleep 5
+    $0 start
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart}"
+esac
+exit 0


Property changes on: dnsmasq/trunk/rc.dnsmasq
___________________________________________________________________
Added: svn:executable
   + *
Added: svn:mergeinfo
   + 




More information about the arch-commits mailing list